#ifndef MCU_ARM_H
#define MCU_ARM_H

#include <QSerialPort>
#include <QWidget>

class MCU_ARM : public QObject{
    Q_OBJECT
public:
    explicit MCU_ARM();
    ~MCU_ARM();
    void testSerialPort(uint8_t uart);
    void setEnable(uint8_t enable);
    void setWirelessT(int16_t temperature);
    void setFanStartT(uint16_t temperature);
    void setFanState(uint8_t state);
    void setFanTiming(uint16_t starthour,uint16_t startminute,uint16_t timing);
    void setBuzzerState(uint8_t state);
private:
        QSerialPort *m_serialPort;
public slots:
    void StationData(QByteArray sharedata);
};

#endif // MCU_ARM_H


